## Apache Zeta Components Manual :: File Source for effect.php

## Source for file effect.php

Documentation is available at effect.php

1. <?php
2. /**
3. * File containing the ezcImageEffectFilters interface.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @package ImageConversion
23. * @version //autogentag//
24. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
25. * @filesource
26. */
28. /**
29. * This interface has to be implemented by ezcImageFilters classes to
30. * support effect filters.
31. *
32. * @see ezcImageHandler
33. * @see ezcImageTransformation
34. * @see ezcImageFiltersInterface
35. *
36. * @package ImageConversion
37. * @version //autogentag//
38. */
39. interface ezcImageEffectFilters
40. {
41. /**
42. * Noise filter.
43. * Apply a noise transformation to the image. Valid values are the following
44. * strings:
45. * - 'Uniform'
46. * - 'Gaussian'
47. * - 'Multiplicative'
48. * - 'Impulse'
49. * - 'Laplacian'
50. * - 'Poisson'
51. *
52. * @param strings $value Noise value as described above.
53. * @return void
54. *
55. * @throws ezcImageFilterFailedException
56. * If the operation performed by the the filter failed.
57. * @throws ezcBaseValueException
58. * If a submitted parameter was out of range or type.
59. * @throws ezcImageInvalidReferenceException
60. * No loaded file could be found or an error destroyed a loaded reference.
61. */
62. function noise ( $value );
64. /**
65. * Swirl filter.
66. * Applies a swirl with the given intense to the image.
67. *
68. * @param int $value Intense of swirl.
69. * @return void
70. *
71. * @throws ezcImageInvalidReferenceException
72. * No loaded file could be found or an error destroyed a loaded reference.
73. * @throws ezcImageFilterFailedException
74. * If the operation performed by the the filter failed.
75. * @throws ezcBaseValueException
76. * If a submitted parameter was out of range or type.
77. */
78. function swirl ( $value );
80. /**
81. * Border filter.
82. * Adds a border to the image. The width is measured in pixel. The color is
83. * defined in an array of hex values:
84. *
85. * <code>
86. * array(
87. * 0 => <red value>,
88. * 1 => <green value>,
89. * 2 => <blue value>,
90. * );
91. * </code>
92. *
93. * @param int $width Width of the border.
94. * @param array(int) $color Color.
95. * @return void
96. *
97. * @throws ezcImageInvalidReferenceException
98. * No loaded file could be found or an error destroyed a loaded reference.
99. * @throws ezcImageFilterFailedException
100. * If the operation performed by the the filter failed.
101. * @throws ezcBaseValueException
102. * If a submitted parameter was out of range or type.
103. */
104. function border ( $width, array $color );
105. }
106. ?>

Documentation generated by phpDocumentor 1.4.3